## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global srcname rpds-py
%global modname rpds_py

Name:           python-rpds-py
Version:        0.13.1
Release:        %autorelease
Summary:        Python bindings to the Rust rpds crate
# Full license breakdown in LICENSES.dependencies
License:        MIT AND Apache-2.0 AND (MIT OR Apache-2.0) AND MPL-2.0
URL:            https://github.com/crate-py/rpds
Source:         %{pypi_source %{modname}}

BuildRequires:  cargo-rpm-macros
BuildRequires:  dos2unix
BuildRequires:  python3-devel

%global _description %{expand:
Python bindings to the Rust rpds crate.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{modname}-%{version}

# Fix line terminations
dos2unix README* LICENSE* *.pyi

%cargo_prep


%generate_buildrequires
%pyproject_buildrequires tests/requirements.in
%cargo_generate_buildrequires


%build
export RUSTFLAGS='%{build_rustflags}'
%cargo_license_summary
%{cargo_license} > LICENSES.dependencies
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files rpds


%check
%pytest -vv


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE LICENSES.dependencies
%doc README.rst


%changelog
* Sun Nov 26 2023 Mattia Verga <mattia.verga@proton.me> 0.13.1-1
- Update to 0.13.1

* Tue Nov 14 2023 Mattia Verga <mattia.verga@proton.me> 0.12.0-1
- Update to 0.12 (fedora#2247859)

* Thu Oct 12 2023 Mattia Verga <mattia.verga@proton.me> 0.10.6-1
- Update to 0.10.6 (fedora#2242307)

* Wed Sep 13 2023 Miro Hrončok <miro@hroncok.cz> 0.9.2-4
- Remove an unused test dependency on hypothesis

* Thu Sep 07 2023 Mattia Verga <mattia.verga@proton.me> 0.9.2-3
- Enable build on i686

* Fri Aug 25 2023 Mattia Verga <mattia.verga@proton.me> 0.9.2-2
- Patch to fix dependencies on archery and rpds crates

* Thu Jul 20 2023 Mattia Verga <mattia.verga@proton.me> 0.9.2-1
- Initial import (fedora#2222367)
